# Generated by Django 2.2.4 on 2019-08-26 12:24

from django.db import migrations, models
import django.utils.timezone
import easy_thumbnails.fields
import utils.methods


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Advertisement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('image', easy_thumbnails.fields.ThumbnailerImageField(blank=True, default=None, null=True, upload_to=utils.methods.image_path, verbose_name='Image')),
                ('url', models.URLField(verbose_name='Ad URL')),
                ('width', models.PositiveIntegerField(verbose_name='Block width')),
                ('height', models.PositiveIntegerField(verbose_name='Block height')),
                ('block_level', models.PositiveSmallIntegerField(choices=[(1, 'Ad block level 1'), (2, 'Ad block level 2'), (3, 'Ad block level 3')], verbose_name='Block level')),
            ],
            options={
                'verbose_name': 'Advertisement',
                'verbose_name_plural': 'Advertisement',
            },
        ),
    ]
